import { request } from "@/utils/request";

/*
 * 获取分类列表
 */
export function getCategary () {
  return request('/taCategary', { params: { isMenu: 1, pageSize: 999 } }).then(res => (res.records || []));
}

/**
 * 获取分类下的内容列表
 * @param {String} categaryId 分类id
 */
export function getContentList (categaryId) {
  return request('/taCategaryContent', { params: { categaryId, pageSize: 999 } }).then(res => (res.records || []));
}

/**
 * 获取轮播图下的内容列表
 * @param {String} carouselId 轮播图id
 */
export function getCarouselItemList (carouselId) {
  return request('/taCarouselItem', { params: { carouselId, pageSize: 999 } }).then(res => (res.records || []));
}

/*
 * 获取文章详情
 * @param {String} postId 文章id
 */
export function getPostById (postId) {
  return request(`/taPost/${postId}`);
}
